Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.net.httpclient
Class PostMethodTask.FilePartType

    java.lang.Object
      net.sf.antcontrib.net.httpclient.PostMethodTask.FilePartType

Enclosing class:
  PostMethodTask

    public static class PostMethodTask.FilePartType

extends java.lang.Object

Constructor Summary
`PostMethodTask.FilePartType()`

Method Summary
`java.lang.String` | `getCharSet()`
`java.lang.String` | `getContentType()`
`java.io.File` | `getPath()`
`void` | `setCharSet(java.lang.String charSet)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setPath(java.io.File path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostMethodTask.FilePartType

    public PostMethodTask.FilePartType()

Method Detail

### getPath

    public java.io.File getPath()

### setPath

    public void setPath(java.io.File path)

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String contentType)

### getCharSet

    public java.lang.String getCharSet()

### setCharSet

    public void setCharSet(java.lang.String charSet)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD